Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class CreateUserTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                        |
                        +--com.bea.p13n.usermgmt.servlets.jsp.taglib.CreateUserTag

public class CreateUserTag
extends ResultTag

Corresponds to `<um:createUser>`.

The `<um:createUser>` tag creates a new `com.beasys.commerce.axiom.contact.User` object with the specified name and profile type, and sets the user's password to the given password. If the `saveAnonymous` attribute is "true", and an AnonymousProfile exists, any properties defined in the AnonymousProfile will be set for the new user. The tag has no enclosed body.

Note: This tag should only be invoked when the `weblogic.security.realmClass` property in the `weblogic.properties` file is `com.beasys.commerce.axiom.contact.security.RDBMSRealm`.

Tag Attribute | Required | Type | Description
username | yes | String | The name of the new user. Example: "`<%=username%>`"
password | no | String | The password for the new user. Example: "`<%=password%>`"
profileType | no | String | Specifies the extended type of user (for example, WLCS_Customer) to create a user of that type.
saveAnonymous | no | String | Whether to persist current anonymous user profile attributes in the newly-created user's profile. Defaults to false. Example: "false"
id | no | String | A variable name to which the created user object is available for the duration of the page's scope.
result | yes | String | The name of an Integer variable to which the result of the create user operation is assigned. Possible values: Success: `UserManagerTagConstants.CREATE_USER_OK` Error Encountered: `UserManagerTagConstants.CREATE_USER_FAILED` A user with the specified username already exists: `UserManagerTagConstants.USER_EXISTS`

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`CreateUserTag()`

Method Summary
`int` | `doStartTag()` Create a User through the UserManager session bean, and optionally transfer properties from an AnonymousProfile to the new User.
`java.lang.String` | `getPassword()` Get the password of the new user
`java.lang.String` | `getProfileType()` Get the new user's profile type
`java.lang.String` | `getSaveAnonymous()` Get the flag to transfer the AnonymousProfile to the new user
`java.lang.String` | `getUsername()` Get the name of the new user
`void` | `release()` Reset all tag attributes
`void` | `setPassword(java.lang.String s)` Set the password of the new user
`void` | `setProfileType(java.lang.String s)` Set the new user's profile type
`void` | `setSaveAnonymous(java.lang.String s)` Set the flag to transfer the AnonymousProfile to the new user
`void` | `setUsername(java.lang.String s)` Set the name of the new user

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateUserTag

    public CreateUserTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Create a User through the UserManager session bean, and optionally transfer properties from an AnonymousProfile to the new User.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset all tag attributes

  Overrides:
    release in class ResultTag

### getUsername

    public java.lang.String getUsername()

  Get the name of the new user

### setUsername

    public void setUsername(java.lang.String s)

  Set the name of the new user

### getPassword

    public java.lang.String getPassword()

  Get the password of the new user

### setPassword

    public void setPassword(java.lang.String s)

  Set the password of the new user

### getSaveAnonymous

    public java.lang.String getSaveAnonymous()

  Get the flag to transfer the AnonymousProfile to the new user

### setSaveAnonymous

    public void setSaveAnonymous(java.lang.String s)

  Set the flag to transfer the AnonymousProfile to the new user

### getProfileType

    public java.lang.String getProfileType()

  Get the new user's profile type

### setProfileType

    public void setProfileType(java.lang.String s)

  Set the new user's profile type

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved